package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.CollectorGetIpRecordEntity;
import com.huimv.acquisition.mapper.CollectorGetIpRecordDao;
import com.huimv.acquisition.service.CollectorGetIpRecordService;

import org.springframework.stereotype.Service;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;


import java.util.Map;


@Service("collectorGetIpRecordService")
public class CollectorGetIpRecordServiceImpl extends ServiceImpl<CollectorGetIpRecordDao, CollectorGetIpRecordEntity> implements CollectorGetIpRecordService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<CollectorGetIpRecordEntity> page = this.page(
                new Query<CollectorGetIpRecordEntity>().getPage(params),
                new QueryWrapper<CollectorGetIpRecordEntity>()
        );


        return new PageUtils(page);
    }

}